import { z } from 'zod';
export declare const RepoCacheV13: z.ZodObject<{
    repository: z.ZodString;
    revision: z.ZodEffects<z.ZodNumber, number, number>;
    payload: z.ZodString;
    hash: z.ZodString;
    fingerprint: z.ZodString;
}, "strict", z.ZodTypeAny, {
    repository: string;
    hash: string;
    payload: string;
    revision: number;
    fingerprint: string;
}, {
    repository: string;
    hash: string;
    payload: string;
    revision: number;
    fingerprint: string;
}>;
export declare type RepoCacheRecord = z.infer<typeof RepoCacheV13>;
